//Регистрация решенных задач
function [err,msg]=RegisteredSolvedTaskMsg(InputRequestMsgFunction,..//Функция входных сообщений
                                           ProjectName,..//Имя проекта
                                           errPrintMsg..//Необходимость печати сообщений об ошибках
                                           )
    //Проверяем аргументы
    select argn(2)
    case 0 then
        error('The function RegisteredSolvedTaskMsg 1, 2, or 3 arguments');
    case 1 then
        ProjectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(ProjectName) == 4 then
            errPrintMsg = ProjectName;
            ProjectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
    end
    
    //Проверяем функцию запроса
    select type(InputRequestMsgFunction)
    case 10 then
        execstr('inputRequestMsgFunction = ' + InputRequestMsgFunction);
    case 13 then
        inputRequestMsgFunction = InputRequestMsgFunction;
    case 15 then
        //Берем имя функции и параметры
        inRequestMsgFunction = InputRequestMsgFunction(1);//Имя функции
        inRequestMsgFunctionParametrs = InputRequestMsgFunction(2:$);//Параметры
        
        //Проверяем тип функии
        if type(inRequestMsgFunction) == 10 then
            execstr('inRequestMsgFunction = ' + inRequestMsgFunction);
        end
        
        //Объявляеи функцию входных данных по запросу
        function [imsg]=inputRequestMsgFunction(strAsk)
            imsg = inRequestMsgFunction(strAsk,inRequestMsgFunctionParametrs(:));
        endfunction
    else
        error('the argument InputRequestMsgFunction of function RegisteredSolvedTaskMsg must be function type, or function name (string type), or list type (function (or function name) and parametrs)');
    end
    
    //Получаем строки
    SolvedTask = inputRequestMsgFunction('Enter solved task: ');//Решенная задача
    SolvedTaskMsg = inputRequestMsgFunction('Enter message, getting solved task: ');//Сообщение решенной задачи
    
    //Регистрируем полученные задачи
    [err,msg]=RegisteredSolvedTaskFromRezult(SolvedTask,SolvedTaskMsg,..
                                             ProjectName,errPrintMsg);
endfunction
