function [enabledTasks,..//Доступне задачи
          err,msg]=ShowEnabledTasks(DisplayFunction,..//Функция отображения
                                    ProjectName,..//Имя проекта
                                    errPrintMsg..//Необходимость печати сообщений об ошибках
                                    )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        error('The function ShowEnabledTasks takes 1, 2, or 3 arguments');
    case 1 then
        ProjectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(ProjectName) == 4 then
            errPrintMsg = ProjectName;
            ProjectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
    end
    
    //Проверяем функцию отображения
    select type(DisplayFunction)
    case 10 then
        execstr('displayFunction = ' + DisplayFunction);
    case 13 then
        displayFunction = DisplayFunction;
    case 15 then
        //Берем функцию и ее параметры
        dFunction = DisplayFunction(1);
        dFunctionParametrs = DisplayFunction(2:$);
        
        //Проверяем тип функции
        if type(dFunction) == 10 then
            execstr('dFunction = ' + dFunction);
        end
        
        //Создаем функцию
        function displayFunction(dmsg)
            dFunction(dmsg,dFunctionParametrs(:));
        endfunction
    else
        error('The argument DisplayFunction of function DisplatingNextTasks must be function type, or function name (string type), or list type (function (or function name) and parametrs)');
    end
    
    //Получаем доступные задачи
    [enabledTasks,..//Доступне задачи
     err,msg]=GetEnabledTasks(ProjectName,errPrintMsg);
    
    //Выводим доступные задачи
    name = 'Enabled tasks: ';
    if isempty(enabledTasks) then
        displayFunction(name);
    else
        displayFunction(name + strcat(enabledTasks,','));
    end
endfunction
